Mongo DB does not connect on NSB6.2.1 ver with 6.x license???

SuneelT shared this problem 6 days ago
Solved

Will the Mongo DB connection does not work on NoSQLBooster 6.2.1 connected with 6.x license ? The DB connection was just fine when the 6.x license was used with NSB6.1.8 version.

Otherthan ver upgrade nothing else was done. The connectivity was tested after downgrading to 6.1.8 and the DB connection started working fine. So need to know if this is expected???

Comments (3)

photo
1

Please check this box and try it again, Allow Invalid Hostnames, on the SSL tab.

photo
1

I tested and its working fine with that option enabled. But why and how the existing connection on a server which was working earlier will be considered as Invalid hostname and overriding that invalid hostnames to allow connection ?

photo
1

In MongoDB Nodejs Driver 3.6, the default value of the "sslValidate" option is false . The "sslValidate" option means that "Validate mongod server certificate against Certificate Authority",is equivalent to not allowing invalid host names. In 6.18, if you do not set this property, then we use the default value false, and in 6.2.0, when you do not set it, we assume that you do not allow invalid host names, the "sslValidate" option is true, anyway, although the logic of 6.2.0 is correct, it is inconsistent with 6.1.8 in default handling.


refer to: http://mongodb.github.io/node-mongodb-native/3.6/api/MongoClient.html